Installation ERPNext app error

Getting following error

frappe@ns1:~/tradelink$ bench --site tradelink install-app erpnext

Installing erpnext…
Updating DocTypes for erpnext : [= ]Traceback (most recent call last):
File “/usr/lib/python2.7/runpy.py”, line 162, in _run_module_as_main
main”, fname, loader, pkg_name)
File “/usr/lib/python2.7/runpy.py”, line 72, in _run_code
exec code in run_globals
File “/home/frappe/tradelink/apps/frappe/frappe/utils/bench_helper.py”, line 94, in
main()
File “/home/frappe/tradelink/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 722, in call
return self.main(*args, **kwargs)
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 697, in main
rv = self.invoke(ctx)
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/core.py”, line 535, in invoke
return callback(*args, **kwargs)
File “/home/frappe/tradelink/env/local/lib/python2.7/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/frappe/tradelink/apps/frappe/frappe/commands/init.py”, line 24, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/frappe/tradelink/apps/frappe/frappe/commands/site.py”, line 165, in install_app
_install_app(app, verbose=context.verbose)
File “/home/frappe/tradelink/apps/frappe/frappe/installer.py”, line 141, in install_app
sync_for(name, force=True, sync_everything=True, verbose=verbose, reset_permissions=True)
File “/home/frappe/tradelink/apps/frappe/frappe/model/sync.py”, line 45, in sync_for
reset_permissions=reset_permissions, for_sync=True)
File “/home/frappe/tradelink/apps/frappe/frappe/modules/import_file.py”, line 58, in import_file_by_path
ignore_version=ignore_version, reset_permissions=reset_permissions)
File “/home/frappe/tradelink/apps/frappe/frappe/modules/import_file.py”, line 132, in import_doc
doc.insert()
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 248, in insert
self.run_post_save_methods()
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 890, in run_post_save_methods
self.run_method(“on_update”)
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 758, in run_method
out = Document.hook(fn)(self, *args, **kwargs)
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 1027, in composer
return composed(self, method, *args, **kwargs)
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 1010, in runner
add_to_return_value(self, fn(self, *args, **kwargs))
File “/home/frappe/tradelink/apps/frappe/frappe/model/document.py”, line 752, in
fn = lambda self, *args, **kwargs: getattr(self, method)(*args, **kwargs)
File “/home/frappe/tradelink/apps/frappe/frappe/core/doctype/doctype/doctype.py”, line 226, in on_update
self.run_module_method(“on_doctype_update”)
File “/home/frappe/tradelink/apps/frappe/frappe/core/doctype/doctype/doctype.py”, line 290, in run_module_method
module = load_doctype_module(self.name, self.module)
File “/home/frappe/tradelink/apps/frappe/frappe/modules/utils.py”, line 187, in load_doctype_module
raise ImportError(‘Module import failed for {0} ({1})’.format(doctype, module_name + ’ Error: ’ + str(e)))
ImportError: Module import failed for Journal Entry (erpnext.accounts.doctype.journal_entry.journal_entry Error: No module named cache_manager

This is in frappe - maybe update or uninstall and reinstall frappe first?

i dont know what OS you are in, but i have i recipe for install ERPNext on Debian 8, it works, hope it helps.


Debian 8
#during make sure you install ssh package
Installed from debian-8.10.0-amd64-DVD-1.iso

once installed run this commands as root:

#comment the CDROM Repository in sources.list to allow apt-get to fetch packages from network repository
vi /etc/apt/sources.list

#install some userful packages
apt-get install sudo screen curl net-tools -y
adduser frappe
usermod -G sudo frappe

apt-get update
apt-get upgrade
apt-get dist-upgrade -u
apt-get install wkhtmltopdf
reboot

— run this commands as frappe user —
curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash -
sudo apt-get install -y nodejs

sudo apt-get install software-properties-common
sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0xcbcb082a1bb943db
sudo add-apt-repository ‘deb [arch=amd64,i386,ppc64el] http://nyc2.mirrors.digitalocean.com/mariadb/repo/10.2/debian jessie main’

wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py
sudo python install.py —production

#dont forget to set date time & time zone!!!